﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DoubleDeckerBus.Entities
{
    public class EntityDoubleDeckerBus : EntityBus
    {
        public Color AdditionalColor { get; private set; }
        public bool SecondFloor { get; private set; }
        public bool Ladder { get; private set; }
        public bool LineBetweenFloor { get; private set; }
        public EntityDoubleDeckerBus(int speed, double weight, Color bodyColor, Color
        additionalColor, bool secondFloor, bool ladder, bool lineBetweenFloor) :
            base(speed, weight, bodyColor)
        {
            AdditionalColor = additionalColor;
            SecondFloor = secondFloor;
            Ladder = ladder;
            LineBetweenFloor = lineBetweenFloor;
        }
        public void setAdditionalColor(Color color)
        {
            AdditionalColor = color;
        }
    }
}
