﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DoubleDeckerBus.MovementStrategy
{
    public interface IMoveableObject
    {
        ObjectParameters? GetObjectPosition { get; }
        int GetStep { get; }
        bool CheckCanMove(DirectionBus direction);
        void MoveObject(DirectionBus direction);
    }
}
